Package com.independentsoft.office.odf.styles

# Enum Class BorderModel

java.lang.Object
java.lang.Enum<BorderModel>
com.independentsoft.office.odf.styles.BorderModel

All Implemented Interfaces:
  `Serializable`, `Comparable<BorderModel>`, `Constable`

public enum BorderModel extends Enum<BorderModel>
Represents what border model to use when creating a table with a border.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `COLLAPSING`
  When two adjacent cells have different borders, the wider border appears as the border between the cells.
  `NONE`
  None
  `SEPARATING`
  Borders appear within the cell that specifies the border.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BorderModel`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static BorderModel[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### COLLAPSING

    public static final BorderModel COLLAPSING
    When two adjacent cells have different borders, the wider border appears as the border between the cells. Each cell receives half of the width of the border.

  - ### SEPARATING

    public static final BorderModel SEPARATING
    Borders appear within the cell that specifies the border.

  - ### NONE

    public static final BorderModel NONE
    None

- ## Method Details

  - ### values

    public static BorderModel[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static BorderModel valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null